netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
ad_write.c File Reference
`#include <errno.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/param.h>`
`#include <atalk/adouble.h>`
`#include <atalk/ea.h>`
`#include <atalk/errchk.h>`
`#include <atalk/logger.h>`
`#include <atalk/util.h>`

## Functions
ssize_t | adf_pwrite (struct ad_fd *ad_fd, const void *buf, size_t count, off_t offset)
ssize_t | ad_write (struct adouble *ad, uint32_t eid, off_t off, int end, const char *buf, size_t buflen)
int | sys_ftruncate (int fd, off_t length)
int | ad_rtruncate (struct adouble *ad, const char *uname, const off_t size)
int | ad_dtruncate (struct adouble *ad, const off_t size)
static int | copy_all (const int dfd, const void *buf, size_t buflen)
int | copy_fork (int eid, struct adouble *add, struct adouble *ads, uint8_t *buf, size_t buflen)

## Function Documentation

## ◆ ad_dtruncate()

int ad_dtruncate | ( | struct adouble * | ad,
|  | const off_t | size )

## ◆ ad_rtruncate()

int ad_rtruncate | ( | struct adouble * | ad,
|  | const char * | uname,
|  | const off_t | size )

## ◆ ad_write()

ssize_t ad_write | ( | struct adouble * | ad,
|  | uint32_t | eid,
|  | off_t | off,
|  | int | end,
|  | const char * | buf,
|  | size_t | buflen )

## ◆ adf_pwrite()

ssize_t adf_pwrite | ( | struct ad_fd * | ad_fd,
|  | const void * | buf,
|  | size_t | count,
|  | off_t | offset )

## ◆ copy_all()

int copy_all | ( | const int | dfd,
|  | const void * | buf,
|  | size_t | buflen )
| static

## ◆ copy_fork()

int copy_fork | ( | int | eid,
|  | struct adouble * | add,
|  | struct adouble * | ads,
|  | uint8_t * | buf,
|  | size_t | buflen )

copy only the fork data stream

## ◆ sys_ftruncate()

int sys_ftruncate | ( | int | fd,
|  | off_t | length )